Subject: Questions on the DataConnection paper

From: "Rae M. Chang" <[email-masked]>
Date: Thu, 19 Apr 2001 09:26:36 +0900

Hello,

I've read the Data Connection's white paper, 
titled "MPLS TE: A Choice of Signaling Protocols" and 
have some wonders what they really meant in the context.

1) In section 5.2 Security:
it is written, "RSVP targets its PATH messages at the egress LSR so that the 
intermediate LSRs cannot access the PATH messages. (in case of IPSEC applied)" 

But, isn't it true that the IP packets including the PATH message have to be addressed
to peer LSR node across the to-be LSP route? 
I can't understand why the PATH message has to be targeted at the egress LSR
when you encapsulate the PATH message with IPSEC.

2) In section 5.13 Layer 3 Protocol:
it is written, "RSVP identifies a single payload protocol during LSP setup, but there is 
no scope within the protocol for CR-LDP to do this."

I'm still trying to understand what they really meant.  Do they mean that:
with RSVP, you can only setup an LSP for the usage of a single layer 3 protocol, and
with CR-LDP, you can use one LSP route for transmitting any number of layer 3 protocols?

More clear explanation can help me understand the paper. 

Rae

---

From: David Charlap <[email-masked]>
Date: Thu, 19 Apr 2001 10:26:51 -0400

"Rae M. Chang" wrote:
> 
> But, isn't it true that the IP packets including the PATH message
> have to be addressed to peer LSR node across the to-be LSP route?

You must remember the history involved.

RSVP was designed for use across the internet, where it is likely that
some routers along the path will not support RSVP.  You can't send a
Path message to your peer, because your peer may not be running RSVP,
and if so, the message would get lost.

The solution is to send it to the egress address and use the Router
Alert option in the IP header to force transit routers to process the
packet (and not blindly forward it.)

Now, if a non-RSVP router gets the packet, it is forwarded.  If an RSVP
router gets the packet, it is processed.

> I can't understand why the PATH message has to be targeted at the
> egress LSR when you encapsulate the PATH message with IPSEC.

Straight RSVP doesn't work with IPSEC.  There are extensions to the
protocol for that.  See RFC 2207.

> it is written, "RSVP identifies a single payload protocol during LSP
> setup, but there is no scope within the protocol for CR-LDP to do
> this."
> 
> with RSVP, you can only setup an LSP for the usage of a single
> layer 3 protocol, and with CR-LDP, you can use one LSP route for
> transmitting any number of layer 3 protocols?

The label-request object of RSVP-TE include an L3 protocol ID.  The
ingress router informs other routers along the path what the L3 protocol
will be.  This means that the egress router does not have to know in
advance how to encapsulate the payload after popping the last label.

CR-LDP and LDP do not have this and therefore must use other mechanisms
to indicate that an LSP is carrying non-IP traffic.  These mechanisms
may include administrative configuration or use of an inner-label to
carry L3PID information on a per-packet basis.

-- David